Package: zukomp 0.1.0

Pedro Baltazar

zukomp: Portable Byte Compression with a Pluggable Codec Registry

Compresses and decompresses raw vectors through a single codec-neutral interface backed by a runtime registry, so the set of available codecs is discovered rather than fixed at compile time. The 'DEFLATE' family ('gzip', 'zlib', and headerless 'DEFLATE') is built in from vendored 'miniz' sources, requiring no system compression library. Decompression enforces configurable output-size and expansion-ratio limits and reports failures through structured conditions. A registered C-callable interface lets other packages drive the codecs from C and register codecs of their own. The formats are specified in Deutsch (1996) <doi:10.17487/RFC1951>, Deutsch and Gailly (1996) <doi:10.17487/RFC1950>, and Deutsch (1996) <doi:10.17487/RFC1952>.

Authors:Pedro Baltazar [aut, cre, cph], Rich Geldreich [ctb, cph], Tenacious Software LLC [cph], RAD Game Tools [cph], Valve Software [cph], Martin Raiber [ctb, cph], Alex Evans [ctb], Alistair Moffat [ctb], Jyrki Katajainen [ctb]

zukomp_0.1.0.tar.gz
zukomp_0.1.0.zip(r-4.7-x86_64)zukomp_0.1.0.zip(r-4.7-arm64)zukomp_0.1.0.zip(r-4.6-x86_64)zukomp_0.1.0.zip(r-4.6-arm64)
zukomp_0.1.0.tar.gz(r-4.7-arm64)zukomp_0.1.0.tar.gz(r-4.7-x86_64)zukomp_0.1.0.tar.gz(r-4.6-arm64)zukomp_0.1.0.tar.gz(r-4.6-x86_64)
zukomp_0.1.0.tgz(r-4.6-emscripten)
manual.pdf |manual.html✨
DESCRIPTION |NEWS
card.svg |card.png
zukomp/json (API)

# Install 'zukomp' in R:
install.packages('zukomp', repos = c('https://cran.r-universe.dev', 'https://cloud.r-project.org'))

Bug tracker:https://github.com/pedrobtz/zukomp/issues

Pkgdown/docs site:https://pedrobtz.github.io

On CRAN:

Conda:

1.70 score 6 scripts 6 exports 0 dependencies

Last updated from:4d6d28c23e. Checks:10 OK. Indexed: no.

TargetResultTimeFilesSyslog
linux-devel-arm64OK123
linux-devel-x86_64OK107
source / vignettesOK146
linux-release-arm64OK95
linux-release-x86_64OK144
windows-devel-arm64OK208
windows-devel-x86_64OK120
windows-release-arm64OK211
windows-release-x86_64OK137
wasm-releaseOK75

Exports:komp_codec_availablekomp_codecskomp_compresskomp_decompresskomp_detectkomp_info

Dependencies: